Bug 1478526 - Unable to save trusted forest Settings [NEEDINFO]
Summary: Unable to save trusted forest Settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Brian McLaughlin
QA Contact: Matt Pusateri
URL:
Whiteboard: auth:miqldap:ad
Depends On: 1456610
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 18:24 UTC by Satoe Imaishi
Modified: 2017-10-24 00:17 UTC (History)
8 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1456610
Environment:
Last Closed: 2017-10-24 00:17:32 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
mrichter: needinfo?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 18:28:54 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e3bb9e7c5ac6d959d70130134ddccf0651261dfb

commit e3bb9e7c5ac6d959d70130134ddccf0651261dfb
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jul 6 10:09:43 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 14:24:14 2017 -0400

    Merge pull request #1566 from bmclaughlin/fix-error-when-adding-ldap-forests
    
    Fix error when saving trusted forest settings
    (cherry picked from commit 2b9f18c8fcf45237a80aaba8d7d16ba183267dc1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478526

 app/controllers/ops_controller/settings.rb |  2 +-
 spec/controllers/ops_settings_spec.rb      | 64 +++++++++++++++++++++++++++---
 2 files changed, 60 insertions(+), 6 deletions(-)

Comment 6 Matt Pusateri 2017-09-06 14:26:02 UTC
Verified on 5.8.2.0, that you can now save additional LDAP domains(Forests), though auth is failing on the domains.  Might be other bugs this change has revealed.

Comment 17 errata-xmlrpc 2017-10-24 00:17:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.